org.openmuc.openiec61850

## Class BdaOptFlds

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute
      - - org.openmuc.openiec61850.BdaBitString
        - - org.openmuc.openiec61850.BdaOptFlds

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class BdaOptFlds
    extends BdaBitString

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`BdaOptFlds(ObjectReference objectReference)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BdaOptFlds` `copy()` Returns a copy of model node with all of its children.
`boolean` `isBufferOverflow()`
`boolean` `isConfigRevision()`
`boolean` `isDataReference()`
`boolean` `isDataSetName()` Will the data set reference (not just the name) be included in the report.
`boolean` `isEntryId()`
`boolean` `isReasonForInclusion()`
`boolean` `isReportTimestamp()`
`boolean` `isSegmentation()`
`boolean` `isSequenceNumber()`
`void` `setBufferOverflow(boolean bufferOverflow)`
`void` `setConfigRevision(boolean configRevision)`
`void` `setDataReference(boolean dataReference)`
`void` `setDataSetName(boolean dataSetName)`
`void` `setDefault()` Initializes BIT_STRING with all zeros
`void` `setEntryId(boolean entryId)`
`void` `setReasonForInclusion(boolean reasonForInclusion)`
`void` `setReportTimestamp(boolean reportTimestamp)`
`void` `setSegmentation(boolean segmentation)`
`void` `setSequenceNumber(boolean sequenceNumber)`

### Methods inherited from class org.openmuc.openiec61850.BdaBitString

`getMaxNumBits, getValue, setValue, toString`

### Methods inherited from class org.openmuc.openiec61850.BasicDataAttribute

`getBasicDataAttributes, getBasicType, getChild, getChild, getChildren, getDchg, getDupd, getQchg, getSAddr, iterator`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### BdaOptFlds

    public BdaOptFlds(ObjectReference objectReference)

### Method Detail

#### setDefault

    public void setDefault()

Description copied from class: `BdaBitString`
Initializes BIT_STRING with all zeros

Overrides:
  `setDefault` in class `BdaBitString`

#### copy

    public BdaOptFlds copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### isSequenceNumber

    public boolean isSequenceNumber()

#### isReportTimestamp

    public boolean isReportTimestamp()

#### isReasonForInclusion

    public boolean isReasonForInclusion()

#### isDataSetName

    public boolean isDataSetName()

Will the data set reference (not just the name) be included in the report.

Returns:
  true if the data set reference (not just the name) will be included in the report

#### isDataReference

    public boolean isDataReference()

#### isBufferOverflow

    public boolean isBufferOverflow()

#### isEntryId

    public boolean isEntryId()

#### isConfigRevision

    public boolean isConfigRevision()

#### isSegmentation

    public boolean isSegmentation()

#### setSequenceNumber

    public void setSequenceNumber(boolean sequenceNumber)

#### setReportTimestamp

    public void setReportTimestamp(boolean reportTimestamp)

#### setReasonForInclusion

    public void setReasonForInclusion(boolean reasonForInclusion)

#### setDataSetName

    public void setDataSetName(boolean dataSetName)

#### setDataReference

    public void setDataReference(boolean dataReference)

#### setBufferOverflow

    public void setBufferOverflow(boolean bufferOverflow)

#### setEntryId

    public void setEntryId(boolean entryId)

#### setConfigRevision

    public void setConfigRevision(boolean configRevision)

#### setSegmentation

    public void setSegmentation(boolean segmentation)